<?php

/**
 * Consecutivos form base class.
 *
 * @package    form
 * @subpackage consecutivos
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseConsecutivosForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'                   => new sfWidgetFormInputHidden(),
      'consecutivo_comision' => new sfWidgetFormInput(),
      'vigencia'             => new sfWidgetFormInput(),
    ));

    $this->setValidators(array(
      'id'                   => new sfValidatorPropelChoice(array('model' => 'Consecutivos', 'column' => 'id', 'required' => false)),
      'consecutivo_comision' => new sfValidatorNumber(array('required' => false)),
      'vigencia'             => new sfValidatorString(array('max_length' => 20, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('consecutivos[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Consecutivos';
  }


}
